ppm2nokia(1)

NAME
ppm2nokia - converts PPM and PGM files to Nokia NOL/NGG format

SYNOPSIS
ppm2nokia [-i]

DESCRIPTION

ppm2nokia is a simple script distributed within Gnokii package that converts images in PPM and PGM files to the format that can be saved to the Nokia phone as operator or start up logo. Both NOL (operator logo) and NGG (startup logo) formats are supported.

Input file is read from stdin and output is written to stdout.

ppm2nokia determines which format to choose by checking the image size. 78x21 format determines NOL and 72x14 -- NGG.

Use -i option to inverse the image.

To verify converted logo use:

    gnokii --viewlogo logo.nol

To upload logo to the phone use:

    gnokii --setlogo op logo.nol

BUGS

The tool is unflexible. It handles only 78x21 and 72x14 size images.

AUTHOR
ppm2nokia was contributed by Vidar Madsen. This manual page was written by Pawel Kot.

COPYING
This program is distributed under the GNU Public License.

SEE ALSO
gnokii